Get node logs
GET
/api/v1/logs/{type}/{env}/{uuid}
const url = 'https://osctrl.net/api/v1/logs/example/example/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/logs/example/example/example \ --header 'Authorization: <Authorization>'Returns recent status or result logs for a node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
type
required
string
Log type: status or result
uuid
required
string
Node UUID
Query Parameters
Section titled “Query Parameters”limit
integer
Maximum number of log rows
since
string
RFC3339 lower bound
Responses
Section titled “Responses”OK
Media typeapplication/json
object
env
string
items
Array<object>
object
key
additional properties
limit
integer
since
string
type
string
uuid
string
Examplegenerated
{ "env": "example", "items": [ { "additionalProperty": "example" } ], "limit": 1, "since": "example", "type": "example", "uuid": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}